Bug 212799 - New port net-mgmt/zabbix32
Summary: New port net-mgmt/zabbix32
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: pg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-18 18:39 UTC by Danilo Egea Gondolfo
Modified: 2016-10-02 17:46 UTC (History)
1 user (show)

See Also:


Attachments
zabbix32-agent (1.01 KB, application/x-shar)
2016-09-18 18:39 UTC, Danilo Egea Gondolfo
no flags Details
zabbix32-frontend (1.60 KB, application/x-shar)
2016-09-18 18:39 UTC, Danilo Egea Gondolfo
no flags Details
zabbix32-proxy (945 bytes, application/x-shar)
2016-09-18 18:40 UTC, Danilo Egea Gondolfo
no flags Details
zabbix32-server (54.88 KB, application/x-shar)
2016-09-18 18:40 UTC, Danilo Egea Gondolfo
no flags Details
zabbix32-server (58.01 KB, patch)
2016-09-22 15:33 UTC, pg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Egea Gondolfo freebsd_committer 2016-09-18 18:39:18 UTC
Created attachment 174926 [details]
zabbix32-agent

New ports net-mgmt/zabbix32-(server|proxy|frontend|agent).
Tested with poudriere. Server, agent and frontend were deployed with nginx+mysql+freebsd11.
Comment 1 Danilo Egea Gondolfo freebsd_committer 2016-09-18 18:39:47 UTC
Created attachment 174927 [details]
zabbix32-frontend
Comment 2 Danilo Egea Gondolfo freebsd_committer 2016-09-18 18:40:13 UTC
Created attachment 174928 [details]
zabbix32-proxy
Comment 3 Danilo Egea Gondolfo freebsd_committer 2016-09-18 18:40:36 UTC
Created attachment 174929 [details]
zabbix32-server
Comment 4 Danilo Egea Gondolfo freebsd_committer 2016-09-18 18:42:42 UTC
Pakhom, can you take a look at this?
Comment 5 pg 2016-09-22 15:33:13 UTC
Created attachment 175068 [details]
zabbix32-server

I made some changes
- correct CONFLICTS
- edit pkg-message
- unbreak build fix
- change default path to PID 
etc
Comment 6 Danilo Egea Gondolfo freebsd_committer 2016-09-25 16:21:04 UTC
Nice, thank you!
Comment 7 commit-hook freebsd_committer 2016-09-25 17:13:54 UTC
A commit references this bug:

Author: danilo
Date: Sun Sep 25 17:13:43 UTC 2016
New revision: 422754
URL: https://svnweb.freebsd.org/changeset/ports/422754

Log:
  - New ports: Zabbix 3.2.0.

  Zabbix is an enterprise-class open source distributed monitoring platform.

  Release notes: https://www.zabbix.com/documentation/3.2/manual/introduction/whatsnew320

  PR:		212799
  Submitted by:	danilo
  Reviewed by:	Pakhom Golynga <pg@pakhom.spb.ru>

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/zabbix32-agent/
  head/net-mgmt/zabbix32-agent/Makefile
  head/net-mgmt/zabbix32-frontend/
  head/net-mgmt/zabbix32-frontend/Makefile
  head/net-mgmt/zabbix32-proxy/
  head/net-mgmt/zabbix32-proxy/Makefile
  head/net-mgmt/zabbix32-server/
  head/net-mgmt/zabbix32-server/Makefile
  head/net-mgmt/zabbix32-server/distinfo
  head/net-mgmt/zabbix32-server/files/patch-src_zabbix__agent_zabbix__agentd.c
  head/net-mgmt/zabbix32-server/files/patch-src_zabbix__proxy_proxy.c
  head/net-mgmt/zabbix32-server/files/patch-src_zabbix__server_server.c
  head/net-mgmt/zabbix32-server/files/pkg-message.in
  head/net-mgmt/zabbix32-server/pkg-plist.frontend